Bug 142839 - Impress: Bullet mode has lost while typing and text is not visible.
Summary: Impress: Bullet mode has lost while typing and text is not visible.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium minor
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Text_box's_column
  Show dependency treegraph
 
Reported: 2021-06-13 21:31 UTC by Gülşah Köse
Modified: 2021-06-20 12:15 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2021-06-13 21:31:12 UTC
Description:
Bullet mode has lost while typing and text is not visible.

Steps to Reproduce:
1. Open impress
2. Add a new slide
3. Select the second textbox and type something

Actual Results:
We should see text and bullet.

Expected Results:
Bullet disappeared and the text is not visible.


Reproducible: Always


User Profile Reset: No



Additional Info:
If I try to add a second line, I see many of that warnings on terminal output:
warn:legacy.tools:144289:144289:editeng/source/editeng/editeng.cxx:1986: GetDocPosTopLeft: Doc not formatted - unable to format!
Comment 1 Gülşah Köse 2021-06-13 21:35:02 UTC
(In reply to Gülşah Köse from comment #0)

> Actual Results:
> We should see text and bullet.
> 
> Expected Results:
> Bullet disappeared and the text is not visible.

Actual and expected should switch. Sorry for the noise.
Comment 2 Timur 2021-06-14 11:47:36 UTC
Repro 7.2+.
Bullet disappeared and the text is not visible, until click outside.
Comment 3 Timur 2021-06-14 11:57:16 UTC
commit 9e32fc1ef5cc59773526f1f9e7cb09405c32999f
Date:   Tue Jun 8 15:35:13 2021 +0200
    source sha:d0a1616ccad0dd5f5a02c1b0204f537b57d0b4b5
    previous 95ebd24a629b4c8cd62cc20c0701683512cc8fa0

commit	d0a1616ccad0dd5f5a02c1b0204f537b57d0b4b5	[log]
author	Mike Kaganski <mike.kaganski@collabora.com>	Thu May 06 
committer	Mike Kaganski <mike.kaganski@collabora.com>	Tue Jun 08 
editengine-columns: Implement layout
Comment 4 Mike Kaganski 2021-06-17 14:27:27 UTC
Thanks for spotting!

https://gerrit.libreoffice.org/c/core/+/117389
Comment 5 Commit Notification 2021-06-17 18:31:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/59611f7b6acbf643bde0e0121ee51e2df53e7d50

tdf#142839: do not forget to initialize *pHeightNTP

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-06-17 19:22:54 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/0c595221d2b87a102763da4582574c269d154f8d

tdf#142839: do not forget to initialize *pHeightNTP

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 BogdanB 2021-06-20 12:15:51 UTC
It's ok again in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 51754ca5349d7bf655d57ded37381188d0bc4bcf
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded